curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/assets/value-updates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"asset_id": "550e8400-e29b-41d4-a716-446655440000",
"amount": 1666,
"update_type": "DEPRECIATION_AMORTIZATION",
"counter_account": "DEPRECIATION",
"date": "2024-02-29T00:00:00Z"
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/assets/value-updates"
payload = {
"asset_id": "550e8400-e29b-41d4-a716-446655440000",
"amount": 1666,
"update_type": "DEPRECIATION_AMORTIZATION",
"counter_account": "DEPRECIATION",
"date": "2024-02-29T00:00:00Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
asset_id: '550e8400-e29b-41d4-a716-446655440000',
amount: 1666,
update_type: 'DEPRECIATION_AMORTIZATION',
counter_account: 'DEPRECIATION',
date: '2024-02-29T00:00:00Z'
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/assets/value-updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.layerfi.com/v1/businesses/{businessId}/assets/value-updates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'asset_id' => '550e8400-e29b-41d4-a716-446655440000',
'amount' => 1666,
'update_type' => 'DEPRECIATION_AMORTIZATION',
'counter_account' => 'DEPRECIATION',
'date' => '2024-02-29T00:00:00Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.layerfi.com/v1/businesses/{businessId}/assets/value-updates"
payload := strings.NewReader("{\n \"asset_id\": \"550e8400-e29b-41d4-a716-446655440000\",\n \"amount\": 1666,\n \"update_type\": \"DEPRECIATION_AMORTIZATION\",\n \"counter_account\": \"DEPRECIATION\",\n \"date\": \"2024-02-29T00:00:00Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.layerfi.com/v1/businesses/{businessId}/assets/value-updates")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"asset_id\": \"550e8400-e29b-41d4-a716-446655440000\",\n \"amount\": 1666,\n \"update_type\": \"DEPRECIATION_AMORTIZATION\",\n \"counter_account\": \"DEPRECIATION\",\n \"date\": \"2024-02-29T00:00:00Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.layerfi.com/v1/businesses/{businessId}/assets/value-updates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"asset_id\": \"550e8400-e29b-41d4-a716-446655440000\",\n \"amount\": 1666,\n \"update_type\": \"DEPRECIATION_AMORTIZATION\",\n \"counter_account\": \"DEPRECIATION\",\n \"date\": \"2024-02-29T00:00:00Z\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"update_type": "DEPRECIATION_AMORTIZATION",
"date": "2023-11-07T05:31:56Z",
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"external_id": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"memo": "<string>",
"metadata": {},
"reference_number": "<string>"
}
}Create an asset value update
Records a change to an asset’s value (depreciation, improvement, impairment, or revaluation) and posts the corresponding journal entry. Identify the asset with either asset_id or asset_external_id.
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/assets/value-updates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"asset_id": "550e8400-e29b-41d4-a716-446655440000",
"amount": 1666,
"update_type": "DEPRECIATION_AMORTIZATION",
"counter_account": "DEPRECIATION",
"date": "2024-02-29T00:00:00Z"
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/assets/value-updates"
payload = {
"asset_id": "550e8400-e29b-41d4-a716-446655440000",
"amount": 1666,
"update_type": "DEPRECIATION_AMORTIZATION",
"counter_account": "DEPRECIATION",
"date": "2024-02-29T00:00:00Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
asset_id: '550e8400-e29b-41d4-a716-446655440000',
amount: 1666,
update_type: 'DEPRECIATION_AMORTIZATION',
counter_account: 'DEPRECIATION',
date: '2024-02-29T00:00:00Z'
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/assets/value-updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.layerfi.com/v1/businesses/{businessId}/assets/value-updates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'asset_id' => '550e8400-e29b-41d4-a716-446655440000',
'amount' => 1666,
'update_type' => 'DEPRECIATION_AMORTIZATION',
'counter_account' => 'DEPRECIATION',
'date' => '2024-02-29T00:00:00Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.layerfi.com/v1/businesses/{businessId}/assets/value-updates"
payload := strings.NewReader("{\n \"asset_id\": \"550e8400-e29b-41d4-a716-446655440000\",\n \"amount\": 1666,\n \"update_type\": \"DEPRECIATION_AMORTIZATION\",\n \"counter_account\": \"DEPRECIATION\",\n \"date\": \"2024-02-29T00:00:00Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.layerfi.com/v1/businesses/{businessId}/assets/value-updates")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"asset_id\": \"550e8400-e29b-41d4-a716-446655440000\",\n \"amount\": 1666,\n \"update_type\": \"DEPRECIATION_AMORTIZATION\",\n \"counter_account\": \"DEPRECIATION\",\n \"date\": \"2024-02-29T00:00:00Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.layerfi.com/v1/businesses/{businessId}/assets/value-updates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"asset_id\": \"550e8400-e29b-41d4-a716-446655440000\",\n \"amount\": 1666,\n \"update_type\": \"DEPRECIATION_AMORTIZATION\",\n \"counter_account\": \"DEPRECIATION\",\n \"date\": \"2024-02-29T00:00:00Z\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"update_type": "DEPRECIATION_AMORTIZATION",
"date": "2023-11-07T05:31:56Z",
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"external_id": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"memo": "<string>",
"metadata": {},
"reference_number": "<string>"
}
}Authorizations
Body
The value update to create.
Parameters for recording a change to an asset's value (depreciation, improvement, impairment, or revaluation). Identify the asset with either asset_id or asset_external_id. Posts a journal entry between the asset and the counter account.
The kind of value change applied to an asset. DEPRECIATION_AMORTIZATION, IMPAIRMENT, and REVALUATION_DOWN decrease the asset's carrying value; IMPROVEMENT and REVALUATION_UP increase it. DEPRECIATION_AMORTIZATION requires the asset to have an accumulated_depreciation_account configured.
DEPRECIATION_AMORTIZATION, IMPROVEMENT, IMPAIRMENT, REVALUATION_UP, REVALUATION_DOWN "DEPRECIATION_AMORTIZATION"